﻿.promise-desc {
    border-width: 1px;
    border-style: dotted;
    border-color: #EDEDED;
    border-left: none;
    border-right: none;
}

.new-top-3 {
    box-shadow: none !important;
}

    .new-top-3 .search-box {
        border-radius: 8px !important;
        box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.06);
    }

    .new-top-3 .select-input-box .search-btn {
        min-width: 80px !important;
    }

        .new-top-3 .select-input-box .search-btn img {
            display: none !important;
        }

.num-box {
    display: flex;
}

    .num-box span {
        width: 35px;
        height: 35px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border: 1px solid #F0F0F0;
        cursor: pointer;
        font-size: 14px;
    }

        .num-box span:first-child {
            border-radius: 4px 0 0 4px;
        }

        .num-box span:last-child {
            border-radius: 0 4px 4px 0;
        }

        .num-box span input {
            width: 100%;
            border: none;
            text-align: center;
        }

.details-box {
}

    .details-box .nav-box {
        display: flex;
        color: #666;
        height: 42px;
        font-size: 16px;
        border-bottom: 1px solid #ededed;
    }

        .details-box .nav-box .item-box {
            margin-right: 60px;
            cursor: pointer;
        }

        .details-box .nav-box .active {
            font-weight: bold;
            margin-bottom: -1px;
            color: var(--main-color);
            border-bottom: 2px solid var(--main-color);
        }

.sku-box .sku-item {
    min-height: 46px;
    padding: 0 2px;
    border-width: 1px;
    border-style: dotted;
    border-color: #EDEDED;
    border-left: none;
    border-right: none;
    margin-bottom: -1px;
}

.content-tip * {
    display: initial !important;
    font-size: 12px;
    line-height: 1.6;
}

.attribute-box {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 1200px;
    margin: auto;
    margin-left: 200px;
    flex-wrap: wrap;
}

    .attribute-box .attribute-box-item {
        width: 48%;
        margin: 10px 2% 10px 0;
    }

.cart-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #fff;
    display: flex;
    justify-content: center;
    padding: 20px 0;
    box-shadow: 0px 2px 20px 0px rgba(0, 0, 0, 0.08);
    z-index: 99;
}

.photos-img-1 {
    display: none !important;
}

.load-animation {
    background: linear-gradient(90deg,#f2f2f2 25%,#e6e6e6 37%,#f2f2f2 63%);
    background-size: 400% 100%;
    animation: el-skeleton-loading 1.4s ease infinite;
}

@keyframes el-skeleton-loading {
    0% {
        background-position: 100% 50%
    }

    to {
        background-position: 0 50%
    }
}


